Bug 996361 - Draft watermark is displayed in front of content instead of behind
Draft watermark is displayed in front of content instead of behind
Product: Publican
Classification: Community
Component: publican (Show other bugs)
Unspecified Unspecified
urgent Severity high
: 3.2
: ---
Assigned To: Jeff Fearn
Depends On:
Blocks: 1003702
  Show dependency treegraph
Reported: 2013-08-13 00:11 EDT by belong
Modified: 2013-09-04 02:20 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1003702 (view as bug list)
Last Closed: 2013-09-04 02:20:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description belong 2013-08-13 00:11:11 EDT
Description of problem:

Once a document is published on http://documentation-devel.engineering.redhat.com/ the DRAFT watermark is displayed in front of the content instead of behind it.

Version-Release number of selected component (if applicable):


Steps to Reproduce:
1. Build a document from content spec containing Type = Book-Draft
2. Publish the document to documentation-devel.engineering.redhat.com
3. Open the document. Example - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Services/6/html/Development_Guide_Reference_Material/index.html

Actual results:

The DRAFT watermark appears in front of the content, obscuring it from view.

Expected results:

The DRAFT watermark is supposed to sit behind the content.

Additional info:

I wonder if the css draft style needs a z-index to indicate a lower stack order. See http://www.w3schools.com/cssref/pr_pos_z-index.asp.
Comment 2 HSS Product Manager 2013-08-15 23:47:31 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 3 Jeff Fearn 2013-08-16 00:23:39 EDT
-body.draft > div.book:before
+body.draft > div.book

Deleted all #main rules.

To ssh://git.fedorahosted.org/git/publican.git
   ab66ec2..7ab41ab  HEAD -> devel
Comment 5 Bruce Reeler 2013-08-19 20:18:06 EDT
Failed QA:

The local HTML-single build on my laptop showed the "Draft" stamp behind the text, as it should be.
However, when I did a publican package (publican package --binary --lang en-US)
and installed the package locally, (yum localinstall /tmp/rpm/noarch/Red_Hat_OpenStack-Getting_Started_Guide-3-web-en-US-1.0-39.fc19.noarch.rpm)

only the .PDF had the watermark.

The html versions showed no watermark.

The version I have is:
Comment 7 Zac Dover 2013-09-02 04:17:26 EDT
Rudi, see Comment 6 and show me the path through the darkness.
Comment 8 Ruediger Landmann 2013-09-02 14:31:38 EDT
(In reply to Zac Dover from comment #7)
> Rudi, see Comment 6 and show me the path through the darkness.

The builds you've posted under Book/tmp/en-US/html/ and Book/tmp/en-US/html-single/ look like local builds, which doesn't test the bug here -- what do books look like when installed from RPMs on a site. What you saw on your localhost, however, verifies that the bug is fixed.

However, it looks like a new bug might have been created in the PDF :(

Can you take a look please Jeff?

Note You need to log in before you can comment on or make changes to this bug.